smplayer(1)

NAME
SMPlayer - GUI frontend for MPlayer

SYNOPSIS
smplayer [-minigui] [-defaultgui] [-ini-path directory] [-send-action action_name] [-actions action_list] [-close-at-end] [-no-close-at-end] [-fullscreen] [-no-fullscreen] [-sub subtitle_file] [-add-to-playlist] [-help|--help|-h|-?] [[-playlist] media] [[-playlist] media]...

DESCRIPTION

SMPlayer is a GUI media player based on Qt 4, using mplayer(1) as its backend.

OPTIONS

-minigui
    Open the mini GUI instead of the default one.

-defaultgui
    Open the default gui.

-ini-path
    Specify the directory for the configuration file (smplayer.ini).

-send-action
    Try to make a connection to another running instance and send to it the specified action. Example: -send-action pause The rest of options (if any) will be ignored and the application will exit. It will return 0 on success or -1 on failure.

-actions action_list
    A list of actions separated by spaces. The actions will be executed just after loading the file (if any) in the same order you entered. For checkable actions you can pass true or false as parameter. Example: -actions "fullscreen compact true". Quotes are necessary in case you pass more than one action.

-close-at-end
    Close the main window when the file/playlist finishes.

-no-close-at-end
    Do not close the main window when the file/playlist finishes.

-fullscreen
    Play the video in fullscreen mode.

-no-fullscreen
    Play the video in window mode.

-sub
    Specify the subtitle file to be loaded.

-help
    Show the help message and then exit.

-add-to-playlist
    If there is another instance running, the media will be added to that instance's playlist. If there is no other instance, this option will be ignored and the files will be opened in a new instance.

media
    Any kind of file that SMPlayer can open. It can be a local file, a DVD (e.g. dvd://1), an Internet stream (e.g. mms://....) or a local playlist in format m3u. If the -playlist option is used, that means that SMPlayer will pass the -playlist option to MPlayer, so MPlayer will handle the playlist, not SMPlayer.

SEE ALSO
mplayer(1)

AUTHOR
The author of SMPlayer is Ricardo Villalba <rvm@escomposlinux.org>. This manual page was written by Matvey Kozhev <sikon@lucidfox.org> for the Ubuntu project (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation. On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.

BUGS
Please submit bugs to http://sourceforge.net/projects/smplayer.